Bug 1956610

Summary: manage-helm-repos manifest lacks cluster profile annotations
Product: OpenShift Container Platform Reporter: W. Trevor King <wking>
Component: Management ConsoleAssignee: Jakub Hadvig <jhadvig>
Status: CLOSED ERRATA QA Contact: Siva Reddy <schituku>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.8CC: aos-bugs, jokerman, yapei
Target Milestone: ---   
Target Release: 4.8.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-07-27 23:06:09 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
the helm repos with annotations none

Description W. Trevor King 2021-05-04 04:25:29 UTC
The manage-help-repos manifest [1] lacks cluster profile annotations [2]. 
 Checking fc.2:

$ oc adm release extract --to manifests quay.io/openshift-release-dev/ocp-release:4.8.0-fc.2-x86_64
$ for X in manifests/*.yaml; do ENTRIES="$(yaml2json < "${X}" | jq -r '.[].metadata | select((.annotations // {}) | keys | tostring | contains("include.release.openshift.io/") | not) | .namespace + " " + .name + " " + (.annotations | tostring)')"; if test -n "${ENTRIES}"; then echo "${X}"; echo "${ENTRIES}"; fi done
...
manifests/0000_50_console-operator_manage-helm-repos.yaml
 manage-helm-repos null
...

Without profile annotations, the manifest will not be pushed into clusters, and any functionality which depends on it will be broken.  You probably want to add at least one cluster-profile annotation or drop the manifest altogether.

[1]: https://github.com/openshift/console-operator/blob/3284b03c5ad93acce12871a74395aceaa7d05abb/quickstarts/manage-helm-repos.yaml#L4
[2]: https://github.com/openshift/enhancements/blob/0e2f2474ee858350c4dec0033439036426a5663d/enhancements/update/cluster-profiles.md

Comment 2 Siva Reddy 2021-05-12 00:41:58 UTC
Created attachment 1782202 [details]
the helm repos with annotations


version:
 4.8.0-0.nightly-2021-05-11-082318

steps to verify:
 $ oc adm release extract --to manifests registry.ci.openshift.org/ocp/release:4.8.0-0.nightly-2021-05-11-082318

now the manifests/0000_50_console-operator_manage-helm-repos.yaml contains the annotations
metadata:
  name: manage-helm-repos
  annotations:
    include.release.openshift.io/ibm-cloud-managed: 'true'
    include.release.openshift.io/self-managed-high-availability: 'true'
    include.release.openshift.io/single-node-developer: 'true'

attached screen shot

Comment 5 errata-xmlrpc 2021-07-27 23:06:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438